#include "GObject.h"
#include "EventBox.h"

EventBox::EventBox(const string & namstr):
	GObject(namstr, (GtkWidget *)NULL)
{
    GtkWidget *scr = gtk_event_box_new();
    setWidget(scr);
}

void EventBox::setChild(GtkWidget *w)
{
    gtk_container_add(GTK_CONTAINER(_widget),w);
}

EventBox::~EventBox()
{
	gtk_widget_destroy(GTK_WIDGET(_widget));
}
