#include "general.h"

#include <stdio.h>
#include <time.h>

using namespace std;

string getDate()
{
	time_t t;
	char *date;
	time(&t);
	date=ctime(&t);
	date[strlen(date)-1] = 0;
	string sdate = date;
	return sdate;
}

string toString(long long int a)
{
	char buf[100];
	sprintf(buf,"%lld",a);
	return buf;
}

long long int getTicks(const string &s)
{
	string tmp;
	int x;

	for(x=0; x<s.size() && s[x]!='('; x++);
	for(x++ ; x<s.size() && s[x]!= ')'; x++) tmp += s[x];
	return toInt(tmp);
}

long long int toInt(const string &s)
{
	if(s.size() == 0)
		return 0;
	else
	{
		long long int tmp=0, pow=1;
		int sgn, limit, x;
	
		if(s[0] == '-')
		{
			sgn = -1;
			limit=1;
		}
		else
		{
			sgn = 1;
			limit = 0;
		}

		for(x=s.size()-1; isdigit(s[x]) && x>=limit; x--)
		{
			tmp += (s[x]-'0')*pow;
			pow *= 10;
		}
		if(x != limit-1) // nu a iesit pentru ca a parcurs sirul,
				 //ci pentru ca a gasit o litera
			return 0;
		else
			return tmp*sgn;
	}
}
