#include <gtk/gtk.h>

#include <string>
using namespace std;

#include "GObject.h"

GObject::GObject(const string & name, GtkWidget *widget)
{
	_name=name;
	_widget=widget;
}

string & GObject::getName()
{
	return _name;
}

GtkWidget * GObject::getWidget()
{
	return _widget;
}

void GObject::draw()
{
	gtk_widget_show(_widget);
}

void GObject::setWidget(GtkWidget *widget)
{
	_widget=widget;
}

GObject::~GObject()
{
	gtk_widget_destroy(_widget);
}
